#include "stripws.h"

std::string stripws(const std::string s) 
{

	static const char* ws = " \t\n\b\f\r\v";
	if ( s.length() ) {
	
		std::string::size_type c1=s.find_first_not_of(ws);

		if (c1 ==  std::string::npos) 
		{
			return std::string("");
		} else {
			
			std::string::size_type c2=s.find_last_not_of(ws);
			return s.substr( c1 , (c2 - c1 +1 ) );
		}

	}
	return s;

}
